- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# MDGContext Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

Dependency graph (DG) context class.

Control the way in which dependency nodes are evaluated.

DG contexts are used to define the way in which a dependency node is going to be evaluated. Examples of such contexts include "normal", "at a given time, "for a specific instance", etc.

MDGContext is mainly used in two places; within methods that trigger evaluations, to define what kind of evaluate is being requested, and within data blocks (MDataBlock), to identify how the data was created.

Examples:

  cgfxShaderNode.cpp, cgfxShaderNode.h, customImagePlane.cpp, GLSLShaderNode.cpp, GLSLShaderNode.h, hlslShader.cpp, hlslShader.h, hwColorPerVertexShader.cpp, hwPhongShader.cpp, hwPhongShader.h, rockingTransform.cpp, rockingTransform.h, and rockingTransformCheck.cpp.

`#include <MDGContext.h>`

List of all members.

## Public Member Functions
| MDGContext ()
| Constructor.
| MDGContext (const MTime &when)
| Constructor.
| MDGContext (const MDGContext &in)
| Copy constructor.
| ~MDGContext ()
| Destructor.
bool | isNormal (MStatus *ReturnStatus=NULL) const
| Determines if this context is that of "normal" evaluation.
MStatus | getTime (MTime &) const
| Return the single time for which this context is valid.
MDGContext & | operator= (const MDGContext &other)
| Assignment operator.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Friends
class | MPlug Search for all occurrences
class | MDataBlock Search for all occurrences

## Constructor & Destructor Documentation

MDGContext | ( |  | ) |

Constructor.

Creates a context to define the way in which a dependency node is evaluated. In this case the new context will be for a normal evaluation.

MDGContext | ( | const MTime & | atTime | ) |

Constructor.

Creates a context to define the way in which a dependency node is evaluated. In this case the new context will be for an evaluation at a specific time.

Parameters:

  [in] | atTime | The time in which the evaluation will take place

MDGContext | ( | const MDGContext & | other | ) |

Copy constructor.

Duplicates the given DG context.

Parameters:

  [in] | other | DG context to be copied.

## Member Function Documentation

bool isNormal | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Determines if this context is that of "normal" evaluation.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  - true this context is normal
  - false this context is not normal

Status Codes:
  - MS::kSuccess Method was successful
  - MS::kFailure Object error

Examples:
  rockingTransformCheck.cpp.

MStatus getTime | ( | MTime & | timeVal | ) | const

Search for all occurrences

Return the single time for which this context is valid.

The context must be a timed context, i.e. not a normal one.

Parameters:

  [out] | timeVal | Storage for the time

Returns:
  Status Code

Status Codes:
  - MS::kSuccess The time was successfully returned
  - MS::kFailure Context is not timed

MDGContext & operator= | ( | const MDGContext & | other | ) |

Assignment operator.

Copies the RHS into this context.

Parameters:

  [in] | other | DG context to be copied.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext
MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext MDGContext